Index: vendor/google/apiclient-services/src/Oauth2/Resource/Userinfo.php
===================================================================
--- vendor/google/apiclient-services/src/Oauth2/Resource/Userinfo.php	(revision e3d4e0a8bc0f13135f27c0b055b5c00f64a28f01)
+++ vendor/google/apiclient-services/src/Oauth2/Resource/Userinfo.php	(revision e3d4e0a8bc0f13135f27c0b055b5c00f64a28f01)
@@ -0,0 +1,48 @@
+<?php
+/*
+ * Copyright 2014 Google Inc.
+ *
+ * Licensed under the Apache License, Version 2.0 (the "License"); you may not
+ * use this file except in compliance with the License. You may obtain a copy of
+ * the License at
+ *
+ * http://www.apache.org/licenses/LICENSE-2.0
+ *
+ * Unless required by applicable law or agreed to in writing, software
+ * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
+ * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
+ * License for the specific language governing permissions and limitations under
+ * the License.
+ */
+
+namespace Google\Service\Oauth2\Resource;
+
+use Google\Service\Oauth2\Userinfo as UserinfoModel;
+
+/**
+ * The "userinfo" collection of methods.
+ * Typical usage is:
+ *  <code>
+ *   $oauth2Service = new Google\Service\Oauth2(...);
+ *   $userinfo = $oauth2Service->userinfo;
+ *  </code>
+ */
+class Userinfo extends \Google\Service\Resource
+{
+  /**
+   * (userinfo.get)
+   *
+   * @param array $optParams Optional parameters.
+   * @return UserinfoModel
+   * @throws \Google\Service\Exception
+   */
+  public function get($optParams = [])
+  {
+    $params = [];
+    $params = array_merge($params, $optParams);
+    return $this->call('get', [$params], UserinfoModel::class);
+  }
+}
+
+// Adding a class alias for backwards compatibility with the previous class name.
+class_alias(Userinfo::class, 'Google_Service_Oauth2_Resource_Userinfo');
Index: vendor/google/apiclient-services/src/Oauth2/Resource/UserinfoV2.php
===================================================================
--- vendor/google/apiclient-services/src/Oauth2/Resource/UserinfoV2.php	(revision e3d4e0a8bc0f13135f27c0b055b5c00f64a28f01)
+++ vendor/google/apiclient-services/src/Oauth2/Resource/UserinfoV2.php	(revision e3d4e0a8bc0f13135f27c0b055b5c00f64a28f01)
@@ -0,0 +1,33 @@
+<?php
+/*
+ * Copyright 2014 Google Inc.
+ *
+ * Licensed under the Apache License, Version 2.0 (the "License"); you may not
+ * use this file except in compliance with the License. You may obtain a copy of
+ * the License at
+ *
+ * http://www.apache.org/licenses/LICENSE-2.0
+ *
+ * Unless required by applicable law or agreed to in writing, software
+ * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
+ * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
+ * License for the specific language governing permissions and limitations under
+ * the License.
+ */
+
+namespace Google\Service\Oauth2\Resource;
+
+/**
+ * The "v2" collection of methods.
+ * Typical usage is:
+ *  <code>
+ *   $oauth2Service = new Google\Service\Oauth2(...);
+ *   $v2 = $oauth2Service->userinfo_v2;
+ *  </code>
+ */
+class UserinfoV2 extends \Google\Service\Resource
+{
+}
+
+// Adding a class alias for backwards compatibility with the previous class name.
+class_alias(UserinfoV2::class, 'Google_Service_Oauth2_Resource_UserinfoV2');
Index: vendor/google/apiclient-services/src/Oauth2/Resource/UserinfoV2Me.php
===================================================================
--- vendor/google/apiclient-services/src/Oauth2/Resource/UserinfoV2Me.php	(revision e3d4e0a8bc0f13135f27c0b055b5c00f64a28f01)
+++ vendor/google/apiclient-services/src/Oauth2/Resource/UserinfoV2Me.php	(revision e3d4e0a8bc0f13135f27c0b055b5c00f64a28f01)
@@ -0,0 +1,48 @@
+<?php
+/*
+ * Copyright 2014 Google Inc.
+ *
+ * Licensed under the Apache License, Version 2.0 (the "License"); you may not
+ * use this file except in compliance with the License. You may obtain a copy of
+ * the License at
+ *
+ * http://www.apache.org/licenses/LICENSE-2.0
+ *
+ * Unless required by applicable law or agreed to in writing, software
+ * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
+ * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
+ * License for the specific language governing permissions and limitations under
+ * the License.
+ */
+
+namespace Google\Service\Oauth2\Resource;
+
+use Google\Service\Oauth2\Userinfo as UserinfoModel;
+
+/**
+ * The "me" collection of methods.
+ * Typical usage is:
+ *  <code>
+ *   $oauth2Service = new Google\Service\Oauth2(...);
+ *   $me = $oauth2Service->userinfo_v2_me;
+ *  </code>
+ */
+class UserinfoV2Me extends \Google\Service\Resource
+{
+  /**
+   * (me.get)
+   *
+   * @param array $optParams Optional parameters.
+   * @return UserinfoModel
+   * @throws \Google\Service\Exception
+   */
+  public function get($optParams = [])
+  {
+    $params = [];
+    $params = array_merge($params, $optParams);
+    return $this->call('get', [$params], UserinfoModel::class);
+  }
+}
+
+// Adding a class alias for backwards compatibility with the previous class name.
+class_alias(UserinfoV2Me::class, 'Google_Service_Oauth2_Resource_UserinfoV2Me');
Index: vendor/google/apiclient-services/src/Oauth2/Tokeninfo.php
===================================================================
--- vendor/google/apiclient-services/src/Oauth2/Tokeninfo.php	(revision e3d4e0a8bc0f13135f27c0b055b5c00f64a28f01)
+++ vendor/google/apiclient-services/src/Oauth2/Tokeninfo.php	(revision e3d4e0a8bc0f13135f27c0b055b5c00f64a28f01)
@@ -0,0 +1,158 @@
+<?php
+/*
+ * Copyright 2014 Google Inc.
+ *
+ * Licensed under the Apache License, Version 2.0 (the "License"); you may not
+ * use this file except in compliance with the License. You may obtain a copy of
+ * the License at
+ *
+ * http://www.apache.org/licenses/LICENSE-2.0
+ *
+ * Unless required by applicable law or agreed to in writing, software
+ * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
+ * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
+ * License for the specific language governing permissions and limitations under
+ * the License.
+ */
+
+namespace Google\Service\Oauth2;
+
+class Tokeninfo extends \Google\Model
+{
+  protected $internal_gapi_mappings = [
+        "expiresIn" => "expires_in",
+        "issuedTo" => "issued_to",
+        "userId" => "user_id",
+        "verifiedEmail" => "verified_email",
+  ];
+  /**
+   * @var string
+   */
+  public $audience;
+  /**
+   * @var string
+   */
+  public $email;
+  /**
+   * @var int
+   */
+  public $expiresIn;
+  /**
+   * @var string
+   */
+  public $issuedTo;
+  /**
+   * @var string
+   */
+  public $scope;
+  /**
+   * @var string
+   */
+  public $userId;
+  /**
+   * @var bool
+   */
+  public $verifiedEmail;
+
+  /**
+   * @param string
+   */
+  public function setAudience($audience)
+  {
+    $this->audience = $audience;
+  }
+  /**
+   * @return string
+   */
+  public function getAudience()
+  {
+    return $this->audience;
+  }
+  /**
+   * @param string
+   */
+  public function setEmail($email)
+  {
+    $this->email = $email;
+  }
+  /**
+   * @return string
+   */
+  public function getEmail()
+  {
+    return $this->email;
+  }
+  /**
+   * @param int
+   */
+  public function setExpiresIn($expiresIn)
+  {
+    $this->expiresIn = $expiresIn;
+  }
+  /**
+   * @return int
+   */
+  public function getExpiresIn()
+  {
+    return $this->expiresIn;
+  }
+  /**
+   * @param string
+   */
+  public function setIssuedTo($issuedTo)
+  {
+    $this->issuedTo = $issuedTo;
+  }
+  /**
+   * @return string
+   */
+  public function getIssuedTo()
+  {
+    return $this->issuedTo;
+  }
+  /**
+   * @param string
+   */
+  public function setScope($scope)
+  {
+    $this->scope = $scope;
+  }
+  /**
+   * @return string
+   */
+  public function getScope()
+  {
+    return $this->scope;
+  }
+  /**
+   * @param string
+   */
+  public function setUserId($userId)
+  {
+    $this->userId = $userId;
+  }
+  /**
+   * @return string
+   */
+  public function getUserId()
+  {
+    return $this->userId;
+  }
+  /**
+   * @param bool
+   */
+  public function setVerifiedEmail($verifiedEmail)
+  {
+    $this->verifiedEmail = $verifiedEmail;
+  }
+  /**
+   * @return bool
+   */
+  public function getVerifiedEmail()
+  {
+    return $this->verifiedEmail;
+  }
+}
+
+// Adding a class alias for backwards compatibility with the previous class name.
+class_alias(Tokeninfo::class, 'Google_Service_Oauth2_Tokeninfo');
Index: vendor/google/apiclient-services/src/Oauth2/Userinfo.php
===================================================================
--- vendor/google/apiclient-services/src/Oauth2/Userinfo.php	(revision e3d4e0a8bc0f13135f27c0b055b5c00f64a28f01)
+++ vendor/google/apiclient-services/src/Oauth2/Userinfo.php	(revision e3d4e0a8bc0f13135f27c0b055b5c00f64a28f01)
@@ -0,0 +1,229 @@
+<?php
+/*
+ * Copyright 2014 Google Inc.
+ *
+ * Licensed under the Apache License, Version 2.0 (the "License"); you may not
+ * use this file except in compliance with the License. You may obtain a copy of
+ * the License at
+ *
+ * http://www.apache.org/licenses/LICENSE-2.0
+ *
+ * Unless required by applicable law or agreed to in writing, software
+ * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
+ * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
+ * License for the specific language governing permissions and limitations under
+ * the License.
+ */
+
+namespace Google\Service\Oauth2;
+
+class Userinfo extends \Google\Model
+{
+  protected $internal_gapi_mappings = [
+        "familyName" => "family_name",
+        "givenName" => "given_name",
+        "verifiedEmail" => "verified_email",
+  ];
+  /**
+   * @var string
+   */
+  public $email;
+  /**
+   * @var string
+   */
+  public $familyName;
+  /**
+   * @var string
+   */
+  public $gender;
+  /**
+   * @var string
+   */
+  public $givenName;
+  /**
+   * @var string
+   */
+  public $hd;
+  /**
+   * @var string
+   */
+  public $id;
+  /**
+   * @var string
+   */
+  public $link;
+  /**
+   * @var string
+   */
+  public $locale;
+  /**
+   * @var string
+   */
+  public $name;
+  /**
+   * @var string
+   */
+  public $picture;
+  /**
+   * @var bool
+   */
+  public $verifiedEmail;
+
+  /**
+   * @param string
+   */
+  public function setEmail($email)
+  {
+    $this->email = $email;
+  }
+  /**
+   * @return string
+   */
+  public function getEmail()
+  {
+    return $this->email;
+  }
+  /**
+   * @param string
+   */
+  public function setFamilyName($familyName)
+  {
+    $this->familyName = $familyName;
+  }
+  /**
+   * @return string
+   */
+  public function getFamilyName()
+  {
+    return $this->familyName;
+  }
+  /**
+   * @param string
+   */
+  public function setGender($gender)
+  {
+    $this->gender = $gender;
+  }
+  /**
+   * @return string
+   */
+  public function getGender()
+  {
+    return $this->gender;
+  }
+  /**
+   * @param string
+   */
+  public function setGivenName($givenName)
+  {
+    $this->givenName = $givenName;
+  }
+  /**
+   * @return string
+   */
+  public function getGivenName()
+  {
+    return $this->givenName;
+  }
+  /**
+   * @param string
+   */
+  public function setHd($hd)
+  {
+    $this->hd = $hd;
+  }
+  /**
+   * @return string
+   */
+  public function getHd()
+  {
+    return $this->hd;
+  }
+  /**
+   * @param string
+   */
+  public function setId($id)
+  {
+    $this->id = $id;
+  }
+  /**
+   * @return string
+   */
+  public function getId()
+  {
+    return $this->id;
+  }
+  /**
+   * @param string
+   */
+  public function setLink($link)
+  {
+    $this->link = $link;
+  }
+  /**
+   * @return string
+   */
+  public function getLink()
+  {
+    return $this->link;
+  }
+  /**
+   * @param string
+   */
+  public function setLocale($locale)
+  {
+    $this->locale = $locale;
+  }
+  /**
+   * @return string
+   */
+  public function getLocale()
+  {
+    return $this->locale;
+  }
+  /**
+   * @param string
+   */
+  public function setName($name)
+  {
+    $this->name = $name;
+  }
+  /**
+   * @return string
+   */
+  public function getName()
+  {
+    return $this->name;
+  }
+  /**
+   * @param string
+   */
+  public function setPicture($picture)
+  {
+    $this->picture = $picture;
+  }
+  /**
+   * @return string
+   */
+  public function getPicture()
+  {
+    return $this->picture;
+  }
+  /**
+   * @param bool
+   */
+  public function setVerifiedEmail($verifiedEmail)
+  {
+    $this->verifiedEmail = $verifiedEmail;
+  }
+  /**
+   * @return bool
+   */
+  public function getVerifiedEmail()
+  {
+    return $this->verifiedEmail;
+  }
+}
+
+// Adding a class alias for backwards compatibility with the previous class name.
+class_alias(Userinfo::class, 'Google_Service_Oauth2_Userinfo');
